[
  ./alacritty
  ./firefox
  ./hyprland
  {
    programs = {
      swaylock.enable = true;
      zoxide.enable = true;

      bash = {
        enable = true;
        enableVteIntegration = true;
        enableCompletion = true;
      };

      starship = {
        enable = true;

        settings = {
          add_newline = false;
        };
      };

      eza = {
        enable = true;

        icons = true;
        git = true;
      };

      atuin = {
        enable = true;
        flags = ["--disable-up-arrow"];
        settings = {
          enter_accept = false;
        };
      };

      waybar = {
        enable = true;

        settings.mainbar = {
          layer = "top";
          position = "top";
          height = 30;

          modules-left = ["hyprland/workspaces"];
          modules-right = ["pulseaudio" "network" "cpu" "memory" "temperature" "battery" "clock" "tray"];
        };
      };

      helix = {
        enable = true;
        defaultEditor = true;

        settings = {
          theme = "onedark";

          editor = {
            line-number = "relative";
            true-color = true;
            gutters = ["diagnostics" "spacer" "line-numbers" "spacer" "diff"];
            cursorline = true;
            completion-trigger-len = 2;

            cursor-shape = {
              insert = "bar";
              normal = "block";
              select = "underline";
            };

            lsp = {
              display-messages = true;
              display-inlay-hints = true;
            };

            statusline = {
              left = ["mode" "spinner"];
              center = ["file-name"];
              right = ["diagnostics" "selections" "position" "file-encoding" "file-line-ending" "file-type" "version-control"];

              mode = {
                normal = "NORMAL";
                insert = "INSERT";
                select = "SELECT";
              };
            };
          };
        };
      };

      thunderbird = {
        enable = true;

        profiles = {
          main = {
            isDefault = true;
            withExternalGnupg = true;
          };
        };
      };
    };
  }
]
