{
  config,
  pkgs,
  devenv,
  ...
}: {
  home = {
    stateVersion = "22.11";
    username = "patrick";
    homeDirectory = "/home/${config.home.username}";
    packages = pkgs.callPackage ./pkgs.nix {};
    # packages = (pkgs.callPackage ./pkgs.nix {}) ++ [devenv.packages.${pkgs.system}.devenv];
    sessionPath = ["~/.local/bin"];
    sessionVariables = {
      SSH_AUTH_SOCK = "/run/user/1000/ssh-agent";
    };
  };

  xdg.enable = true;

  imports = builtins.concatMap import [
    ./programs
    ./services
  ];
  nixpkgs.config.permittedInsecurePackages = [
    "electron-27.3.11"
  ];
}
